<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        // 增加表备注
        DB::statement("ALTER TABLE `ufutx_s2_shop_spu` CHANGE `platform` `platform` VARCHAR(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '1,2,3,11,12,13' COMMENT '展示平台,h5=1,app=2,mp=3 商城类型,批发商=11,个人=12,租赁=13';");
        DB::statement("ALTER TABLE `ufutx_s2_shop_spu` CHANGE `status` `status` VARCHAR(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '1,2,3,11,12,13' COMMENT '平台上架,h5=1,app=2,mp=3 商城上架,批发商=11,个人=12,租赁=13 ';");
        DB::statement("ALTER TABLE `ufutx_s2_shop_order` CHANGE `shop_type` `shop_type` TINYINT(3) UNSIGNED NOT NULL DEFAULT '11' COMMENT 'h5批=11,h5个=12,h5租=13,app批=21,app个=22,app租=23,mp批=31,mp个=32,mp租=33';");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
};
